Skip to content
Draft: the API is under development and may change before the first release

Delete a webhook endpoint

DELETE
/webhook-endpoints/{endpoint_id}
curl --request DELETE \
--url https://api.pachapay.io/v1/webhook-endpoints/example \
--header 'Authorization: Bearer <token>'
endpoint_id
required
string
/^whk_/

Deleted.

Error. See error.code.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error invalid_state_error idempotency_error rate_limit_error api_error
code
required

Stable machine-readable code that does not change within a major version. Examples are parameter_invalid, parameter_missing, amount_out_of_range, api_key_invalid, api_key_revoked, merchant_not_active, method_not_allowed, country_not_allowed, resource_not_found, idempotency_conflict, idempotency_in_progress, invalid_state, insufficient_balance, method_not_available, blocked_payer, limit_exceeded, rate_limited, internal_error, provider_unavailable, service_unavailable.

string
message
required
string
param

Name of the offending parameter, if any.

string
request_id
required
string

Examples

Merchant not approved

{
"error": {
"type": "permission_error",
"code": "merchant_not_active",
"message": "KYB is not approved for this merchant.",
"request_id": "req_01"
}
}

Error. See error.code.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error invalid_state_error idempotency_error rate_limit_error api_error
code
required

Stable machine-readable code that does not change within a major version. Examples are parameter_invalid, parameter_missing, amount_out_of_range, api_key_invalid, api_key_revoked, merchant_not_active, method_not_allowed, country_not_allowed, resource_not_found, idempotency_conflict, idempotency_in_progress, invalid_state, insufficient_balance, method_not_available, blocked_payer, limit_exceeded, rate_limited, internal_error, provider_unavailable, service_unavailable.

string
message
required
string
param

Name of the offending parameter, if any.

string
request_id
required
string

Examples

Merchant not approved

{
"error": {
"type": "permission_error",
"code": "merchant_not_active",
"message": "KYB is not approved for this merchant.",
"request_id": "req_01"
}
}